Bug 446987 - dbus-daemon is already running: processes launched by D-Bus won't have access to $SESSION_MANAGER!
dbus-daemon is already running: processes launched by D-Bus won't have access...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-session (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-05-16 16:33 EDT by Tom London
Modified: 2008-07-25 19:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-25 19:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
complete .xsession-errors for failing session (10.58 KB, text/plain)
2008-05-16 16:33 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2008-05-16 16:33:50 EDT
Description of problem:
Installing gnome-session-2.22.1.1-1.fc9.i386 gets login/session "botch".

Screen is wrong resolution, .... etc.

Here are the first few lines of .xession-errors:
Started none
** (gnome-session:16985): DEBUG: SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/16985


** (gnome-session:16985): WARNING **: dbus-daemon is already running: processes
launched by D-Bus won't have access to $SESSION_MANAGER!
** (gnome-session:16985): DEBUG: append_default_apps ()
** (gnome-session:16985): DEBUG: Look for: gnome-settings-daemon.desktop
** (gnome-session:16985): DEBUG: Look for: metacity.desktop
** (gnome-session:16985): DEBUG: Found in:
/usr/share/gnome/wm-properties/metacity.desktop
** (gnome-session:16985): DEBUG: read metacity.desktop

** (gnome-session:16985): DEBUG: Look for: gnome-panel.desktop
** (gnome-session:16985): DEBUG: Found in:
/usr/share/applications/gnome-panel.desktop

Later complaints about not being able to connect to session manager, etc.

Complete .xsession-errors attached.

Workaround is to revert to gnome-session-2.22.1.1-1.fc9.i386.


Version-Release number of selected component (if applicable):
gnome-session-2.23.2.2-2.fc10.i386

How reproducible:
Appears every time

Steps to Reproduce:
1. Install gnome-session-2.23.2.2-2.fc10.i386
2. remove ~/.gnome2/session  (not sure this is necessary)
3. logout/login
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2008-05-16 16:33:50 EDT
Created attachment 305747 [details]
complete .xsession-errors for failing session
Comment 2 darrell pfeifer 2008-05-20 01:00:05 EDT
This is a "me too". fc10 gnome is having lots of problems. 

It isn't remembering a lot of settings. Can't start appearance or session
properties I started kde at one point to try to recover, so now I have kde
processes starting in gnome (kgpg, kde's power manager applet).

There are also quite a few persistent zombie processes that were started by
gnome-session.
Comment 3 Matthias Clasen 2008-07-25 19:42:49 EDT
The actual problem is fixed now. 
The warning still happens, but it is no longer true.

Note You need to log in before you can comment on or make changes to this bug.